Bug 170610 - [update]: textproc/ctpp2 up to new version
[update]: textproc/ctpp2 up to new version
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 16:10 UTC by g.veniamin
Modified: 2012-10-01 19:40 UTC (History)
0 users

See Also:


Attachments
file.diff (4.25 KB, patch)
2012-08-13 16:10 UTC, g.veniamin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description g.veniamin 2012-08-13 16:10:14 UTC
Up to date.

Critical changes, see changelog.
Comment 1 Edwin Groothuis freebsd_committer 2012-08-13 16:10:24 UTC
Maintainer of textproc/ctpp2,

Please note that PR ports/170610 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170610

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-08-13 16:10:26 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-10-01 19:33:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 4 dfilter freebsd_committer 2012-10-01 19:35:27 UTC
Author: rm
Date: Mon Oct  1 18:35:12 2012
New Revision: 305138
URL: http://svn.freebsd.org/changeset/ports/305138

Log:
  - update to 2.8.2
  - optionify the port
  - chase the update in dependend ports:
    - textproc/py-pyctpp2
    - www/cas
  
  while here:
  - trim Makefile header
  - tab -> space change in pkg-descr:WWW
  
  PR:		170610
  Submitted by:	Veniamin Gvozdikov <g.veniamin at googlemail dot com>
  Approved by:	maintainer timeout (> 1 month)

Added:
  head/textproc/ctpp2/files/
  head/textproc/ctpp2/files/patch-CMakeLists.txt   (contents, props changed)
Modified:
  head/textproc/ctpp2/Makefile
  head/textproc/ctpp2/distinfo
  head/textproc/ctpp2/pkg-descr
  head/textproc/ctpp2/pkg-plist
  head/textproc/py-pyctpp2/Makefile
  head/textproc/py-pyctpp2/pkg-descr
  head/www/cas/Makefile

Modified: head/textproc/ctpp2/Makefile
==============================================================================
--- head/textproc/ctpp2/Makefile	Mon Oct  1 17:29:04 2012	(r305137)
+++ head/textproc/ctpp2/Makefile	Mon Oct  1 18:35:12 2012	(r305138)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	ctpp2
-# Date created:				25 Jan 2008
-# Whom:					reki@reki.ru (Andrei V. Shetuhin)
-#
+# Created by: Andrei V. Shetuhin <reki@reki.ru>
 # $FreeBSD$
-#
 
 PORTNAME=	ctpp2
-PORTVERSION=	2.8.1
+PORTVERSION=	2.8.2
 CATEGORIES=	textproc devel
 MASTER_SITES=	http://ctpp.havoc.ru/download/
 
@@ -22,4 +18,53 @@ PLIST_SUB+=	PORTVERSION=${PORTVERSION}
 
 MAN1=		ctpp2c.1 ctpp2vm.1 ctpp2i.1 ctpp2json.1 ctpp2-config.1
 
+OPTIONS_DEFINE=	DEBUG DISCARD_ILSEQ DOCS MD5 OPTIMIZATION TRANSLITERATE
+OPTIONS_DEFAULT=	DISCARD_ILSEQ MD5 OPTIMIZATION TRANSLITERATE
+DEBUG_DESC=		Enable debug output
+OPTIMIZATION_DESC=	Enable optimization
+MD5_DESC=		Enable md5 support
+DISCARD_ILSEQ_DESC=	Discard illegal sequence and continue
+TRANSLITERATE_DESC=	Enable transliteration in the conversion
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MDEBUG}
+CMAKE_ARGS+=	-DDEBUG_MODE=ON
+.else
+CMAKE_ARGS+=	-DDEBUG_MODE=OFF
+.endif
+
+.if ${PORT_OPTIONS:MDOCS}
+BUILD_DEPENDS+=	rst2html:${PORTSDIR}/textproc/py-docutils
+CMAKE_ARGS+=	-DENABLE_DOCS=ON
+PLIST_SUB+=	DOCS=""
+.else
+CMAKE_ARGS+=	-DENABLE_DOCS=OFF
+PLIST_SUB+=	DOCS="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MMD5}
+CMAKE_ARGS+=	-DMD5_SUPPORT=ON
+.else
+CMAKE_ARGS+=	-DMD5_SUPPORT=OFF
+.endif
+
+.if ${PORT_OPTIONS:MDISCARD_ILSEQ}
+CMAKE_ARGS+=	-DICONV_DISCARD_ILSEQ=ON
+.else
+CMAKE_ARGS+=	-DICONV_DISCARD_ILSEQ=OFF
+.endif
+
+.if ${PORT_OPTIONS:MTRANSLITERATE}
+CMAKE_ARGS+=	-DICONV_TRANSLITERATE=ON
+.else
+CMAKE_ARGS+=	-DICONV_TRANSLITERATE=OFF
+.endif
+
+.if ${PORT_OPTIONS:MOPTIMIZATION}
+CMAKE_ARGS+=	-DENABLE_OPTIMIZATION=ON
+.else
+CMAKE_ARGS+=	-DENABLE_OPTIMIZATION=OFF
+.endif
+
 .include <bsd.port.mk>

Modified: head/textproc/ctpp2/distinfo
==============================================================================
--- head/textproc/ctpp2/distinfo	Mon Oct  1 17:29:04 2012	(r305137)
+++ head/textproc/ctpp2/distinfo	Mon Oct  1 18:35:12 2012	(r305138)
@@ -1,2 +1,2 @@
-SHA256 (ctpp2-2.8.1.tar.gz) = 451a42572cc713cbde56b659a20200f6feb73337ed0496ca9e5fa9cf79ebb33a
-SIZE (ctpp2-2.8.1.tar.gz) = 214747
+SHA256 (ctpp2-2.8.2.tar.gz) = 4d14b395520cf34bae8522a51b03b96b2da06ab4ee338047930d167a23a3dfc5
+SIZE (ctpp2-2.8.2.tar.gz) = 240096

Added: head/textproc/ctpp2/files/patch-CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/ctpp2/files/patch-CMakeLists.txt	Mon Oct  1 18:35:12 2012	(r305138)
@@ -0,0 +1,44 @@
+--- CMakeLists.txt.orig	2012-07-13 16:53:18.000000000 +0400
++++ CMakeLists.txt	2012-08-13 15:53:30.167118048 +0400
+@@ -21,6 +21,7 @@
+ 
+ OPTION(ICONV_DISCARD_ILSEQ "Discard illegal sequence and continue (iconv) [default: ON]"    ON)
+ OPTION(ICONV_TRANSLITERATE "Enable transliteration in the conversion (iconv) [default: ON]" ON)
++OPTION(ENABLE_DOCS                "Enable docs [default: OFF]"      OFF)
+ 
+ # Build optimized code for following CPU (default i386)
+ #SET(CPU_TUNE               "i686")
+@@ -656,6 +657,8 @@
+     SET_TESTS_PROPERTIES(Calls_D PROPERTIES DEPENDS Calls_R)
+ ENDIF (DIFF_EXECUTABLE)
+ 
++
++IF(ENABLE_DOCS MATCHES "ON")
+ FIND_PROGRAM(RST2HTML_EXECUTABLE "rst2html" /usr/local/bin /usr/bin)
+ IF (RST2HTML_EXECUTABLE)
+     ADD_CUSTOM_COMMAND(
+@@ -665,6 +668,7 @@
+         )
+     ADD_CUSTOM_TARGET(doc ALL DEPENDS template_language.html)
+ ENDIF (RST2HTML_EXECUTABLE)
++ENDIF(ENABLE_DOCS MATCHES "ON")
+ 
+ # Install Headers
+ INSTALL(FILES include/CDT.hpp
+@@ -810,13 +814,15 @@
+                     GROUP_READ
+                     WORLD_READ)
+ 
++IF(ENABLE_DOCS MATCHES "ON")
+ IF(RST2HTML_EXECUTABLE)
+     INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/template_language.html
+-            DESTINATION share/doc
++            DESTINATION share/doc/ctpp2
+             PERMISSIONS OWNER_READ OWNER_WRITE
+                         GROUP_READ
+                         WORLD_READ)
+ ENDIF(RST2HTML_EXECUTABLE)
++ENDIF(ENABLE_DOCS MATCHES "ON")
+ 
+ ENDIF("${CMAKE_SYSTEM_NAME}" MATCHES "Windows")
+ 

Modified: head/textproc/ctpp2/pkg-descr
==============================================================================
--- head/textproc/ctpp2/pkg-descr	Mon Oct  1 17:29:04 2012	(r305137)
+++ head/textproc/ctpp2/pkg-descr	Mon Oct  1 18:35:12 2012	(r305138)
@@ -2,4 +2,4 @@ This is a simple set of C++ classes whic
 templates like perl modules Template Toolkit and HTML::Template::Pro
 Version 2.
 
-WWW:	http://ctpp.havoc.ru/
+WWW: http://ctpp.havoc.ru/

Modified: head/textproc/ctpp2/pkg-plist
==============================================================================
--- head/textproc/ctpp2/pkg-plist	Mon Oct  1 17:29:04 2012	(r305137)
+++ head/textproc/ctpp2/pkg-plist	Mon Oct  1 18:35:12 2012	(r305138)
@@ -65,8 +65,10 @@ include/ctpp2/STLOstream.hpp
 include/ctpp2/STLPair.hpp
 include/ctpp2/STLString.hpp
 include/ctpp2/STLVector.hpp
+%%DOCS%%%%DOCSDIR%%/template_language.html
 lib/libctpp2-st.a
 lib/libctpp2.so
 lib/libctpp2.so.2
 lib/libctpp2.so.%%PORTVERSION%%
+%%DOCS%%@dirrm %%DOCSDIR%%
 @dirrm include/ctpp2

Modified: head/textproc/py-pyctpp2/Makefile
==============================================================================
--- head/textproc/py-pyctpp2/Makefile	Mon Oct  1 17:29:04 2012	(r305137)
+++ head/textproc/py-pyctpp2/Makefile	Mon Oct  1 18:35:12 2012	(r305138)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:	py-pyctpp2
-# Date created:				2012-06-24
-# Whom:					Gvozdikov Veniamin <g.veniamin@googlemail.com>
-#
+# Created by: Gvozdikov Veniamin <g.veniamin@googlemail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	pyctpp2
 PORTVERSION=	0.12.2
+PORTREVISION=	1
 CATEGORIES=	textproc
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

Modified: head/textproc/py-pyctpp2/pkg-descr
==============================================================================
--- head/textproc/py-pyctpp2/pkg-descr	Mon Oct  1 17:29:04 2012	(r305137)
+++ head/textproc/py-pyctpp2/pkg-descr	Mon Oct  1 18:35:12 2012	(r305138)
@@ -1,3 +1,3 @@
 Python interface to CTPP2 library.
 
-WWW:	http://pypi.python.org/pypi/pyctpp2
+WWW: http://pypi.python.org/pypi/pyctpp2

Modified: head/www/cas/Makefile
==============================================================================
--- head/www/cas/Makefile	Mon Oct  1 17:29:04 2012	(r305137)
+++ head/www/cas/Makefile	Mon Oct  1 18:35:12 2012	(r305138)
@@ -3,6 +3,7 @@
 
 PORTNAME=	cas
 PORTVERSION=	3.5.5
+PORTREVISION=	1
 CATEGORIES=	www devel
 MASTER_SITES=	http://cas.havoc.ru/download/
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-10-01 19:38:24 UTC
State Changed
From-To: feedback->closed

Committed, thank you!